import * as React from 'react';
import { IconProps } from './icon-render';
declare type ReactSvgElement = React.ElementType<React.SVGProps<SVGSVGElement>>;
declare const createIcon: (Icons: ReactSvgElement | ReactSvgElement[]) => (props: IconProps) => JSX.Element;
export default createIcon;
